describe DbCharmerEnvUrls do
  context "when database urls are specified in ENV" do
    it "loads them" do
      ENV["HAHA_DATABASE_URL"] = "sqlite://username:password@localhost:5432/database_name?encoding=UTF-8"
      require_relative '../spec/dummy/config/environment'
      expect(ActiveRecord::Base.configurations[Rails.env]).to eq(
        {
          "adapter" => "sqlite3",
          "pool" => 5,
          "timeout" => 5000,
          "database" => "db/test.sqlite3",
          "haha" => {
            "adapter" => "sqlite",
            "username" => "username",
            "password" => "password",
            "port" => 5432,
            "database" => "database_name",
            "host" => "localhost",
            "encoding" => "UTF-8"
          }
        }
      )
    end
  end
end
